using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CaiWu.YingShouKuanZhangGuanLi
{
    public partial class YingShouZhangDan
    {
        public YingShouZhangDan()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();

            dw_1.DataStore.DataWindowObject = "dw_cw_yskzd_new_list";
            dw_1.SetTransaction(this.AdoTransaction);
            this.SetParm("CurBmbh", A8ERP.AppService.GetUser().Yhbh);
            A8ERP.Common.DWServiceHelp.AddReportService(dw_1);
            //ddlb_1.Text = "ΏΝ»§";

            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("YingShouZhangDan", "/CaiWu/YingShouKuanZhangGuanLi/YingShouZhangDan.win.js?JSV=" + AppService.GetJSVesion());

            }
            this.dw_1.ClickHeaderSort = true;
            this.IsRegisterScriptFile = false;
        }
    }
}
